##

This is the API

## createUser

This can only be done by the logged in user.

### URL

`http://petstore.swagger.io/v2/user`

### HTTP Method

`POST`

### Response Type

### Parameters

Created user object

## createUsersWithArrayInput

### URL

`http://petstore.swagger.io/v2/user/createWithArray`

### HTTP Method

`POST`

### Response Type

### Parameters

List of user object

## createUsersWithListInput

### URL

`http://petstore.swagger.io/v2/user/createWithList`

### HTTP Method

`POST`

### Response Type

### Parameters

List of user object

## loginUser

### URL

`http://petstore.swagger.io/v2/user/login`

### HTTP Method

`GET`

### Response Type

String

### Parameters

The user name for login

The password for login in clear text

## logoutUser

### URL

`http://petstore.swagger.io/v2/user/logout`

### HTTP Method

`GET`

### Response Type

### Parameters

## getUserByName

### URL

`http://petstore.swagger.io/v2/user/{username}`

### HTTP Method

`GET`

### Response Type

User

### Parameters

The name that needs to be fetched. Use user1 for testing.

## updateUser

This can only be done by the logged in user.

### URL

`http://petstore.swagger.io/v2/user/{username}`

### HTTP Method

`PUT`

### Response Type

### Parameters

name that need to be deleted

Updated user object

## deleteUser

This can only be done by the logged in user.

### URL

`http://petstore.swagger.io/v2/user/{username}`

### HTTP Method

`DELETE`

### Response Type

### Parameters

The name that needs to be deleted